osx-hplj-hotplug(1)

#ifndef OLDGROFF #include "../macros.man" #endif

NAME
osx-hplj-hotplug - Daemon for downloading firmware files for Mac OS X

SYNOPSIS
osx-hplj-hotplug [options]

DESCRIPTION
osx-hplj-hotplug is a daemon for Mac OS X which watches for Hewlett-Packard LaserJet 1000, 1005, 1018, 1020, P1005, P1006, P1007, P1008, and P1505 being plugged in. If so, then the firmware is downloaded to it.

NOTE: this is not needed by Linux, which has a proper hotplug mechanism.

Here is a /etc/rc.local start:
# BEGIN osx-hplj-hotplug from foo2zjs
    killall osx-hplj-hotplug
    osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &
# END osx-hplj-hotplug from foo2zjs

COMMAND LINE OPTIONS

-D level
    Set Debug level [0].

FILES
/usr/share/foo2*/firmware/*

SEE ALSO
/etc/rc.local,

AUTHOR
Rick Richardson <rick.richardson@comcast.net>